toc:
  - Map
  - accessToken
  - supported
  - version
  - name: Geography
    description: |
      These are Mapbox GL JS's ways of representing locations
      and areas on the sphere.
  - LngLat
  - LngLatBounds
  - name: Controls
    description: |
      Controls add new functionality and user interface
      elements to the map.
  - NavigationControl
  - GeolocateControl
  - AttributionControl
  - ScaleControl
  - name: Handlers
    description: |
      Handlers add different kinds of interactivity to the map -
      mouse interactivity, touch interactions, and other
      gestures.
  - BoxZoomHandler
  - ScrollZoomHandler
  - DragPanHandler
  - DragRotateHandler
  - KeyboardHandler
  - DoubleClickZoomHandler
  - TouchZoomRotateHandler
  - name: Sources
    description: |
      Sources specify the geographic features to be rendered on the map. Source
      objects may be obtained from `Map#getSource`.
  - GeoJSONSource
  - VideoSource
  - ImageSource
  - name: Options
    description: |
      These shared option can be supplied as arguments to various methods
      on a Map object and other functions.
  - CameraOptions
  - AnimationOptions
  - StyleOptions
  - name: Overlays
  - Popup
  - Marker
  - name: Events
    description: |
      This event functionality is used by Mapbox GL JS itself
      and can be useful to other developers who want to create
      [Controls](#Control) or other extensions.
  - Evented
  - MapMouseEvent
  - MapTouchEvent
  - MapBoxZoomEvent
  - MapDataEvent
  - name: Types
    description: |
      These are types used in the documentation above to describe arguments,
      properties, and return values.
  - LngLatLike
  - LngLatBoundsLike
  - Point
  - PointLike
  - name: Interfaces
    description: |
      Interfaces are specifications for plugin authors to follow in order to
      create new extensions to Mapbox GL JS
  - IControl
